Docs
APIReferênciaAssinaturas

Listar assinaturas

Assinaturas da loja, com status e próxima cobrança.

Permissão da chave: Pedidos › ler.

Autenticação

bearer
headerAuthorizationBearer <chave de API>

Chave de API da loja (Painel › Integrações › Chaves de API)

status?string
Valor em"ACTIVE""CANCELED""ENDED""INCOMPLETE""PAST_DUE"
customerId?string
state?string
Valor em"active""past_due""ending""incomplete""ended"
productId?string
method?string
Valor em"PIX""PIX_AUTOMATIC""CARD""BOLETO"
q?string
Tamanho1 <= length <= 100

Corpo da resposta

Exemplo de requisição
curl -X GET "https://api.rivoo.gg/v1/subscriptions?status=ACTIVE&customerId=cus_mhexample0000steve00001&state=active&productId=prod_mhexample0000vip00001&method=PIX&q=pedido_123" \  -H "Authorization: Bearer $RIVOO_API_KEY"
Exemplo de resposta
Vazio